summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-07-16 08:27:52 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-07-16 08:27:52 -0400
commitd3b1e5371a7c147a0ee756d95542921bcabd8e68 (patch)
treeccf412d9e9c5d7885caf6a545e737e15ce7d1d51
parent72926c0c4422f2b3e1444e3c7a0b7cd35294e1a4 (diff)
parent2be4d7e2d72ccd6664ff99ea282007a0e05f8f47 (diff)
downloadeibhear-d3b1e5371a7c147a0ee756d95542921bcabd8e68.tar.gz
eibhear-d3b1e5371a7c147a0ee756d95542921bcabd8e68.tar.zst
eibhear-d3b1e5371a7c147a0ee756d95542921bcabd8e68.zip
Merge branch 'elliotslab-lf-patch'
-rw-r--r--.config/lf/lfrc8
-rwxr-xr-x.local/bin/dmenumountcifs2
-rw-r--r--.zprofile2
3 files changed, 6 insertions, 6 deletions
diff --git a/.config/lf/lfrc b/.config/lf/lfrc
index fc82f02..904cbf2 100644
--- a/.config/lf/lfrc
+++ b/.config/lf/lfrc
@@ -60,9 +60,8 @@ cmd copyto ${{
notify-send "📋 File(s) copied." "File(s) copies to $dest."
}}
-cmd bulkrename ${{
- vidir
-}}
+cmd setbg "$1"
+cmd bulkrename $vidir
# Bindings
map <c-f> $lf -remote "send $id select '$(fzf)'"
@@ -85,7 +84,8 @@ map c push A<c-u> # new rename
map I push A<c-a> # at the very beginning
map i push A<a-b><a-b><a-f> # before extention
map a push A<a-b> # after extention
-map b bulkrename
+map B bulkrename
+map b $setbg $f
map <c-e> down
map <c-y> up
diff --git a/.local/bin/dmenumountcifs b/.local/bin/dmenumountcifs
index 3be6e86..99be72f 100755
--- a/.local/bin/dmenumountcifs
+++ b/.local/bin/dmenumountcifs
@@ -11,7 +11,7 @@ share=$(smbclient -L "$srvname" -N | grep Disk | awk '{print $1}' | dmenu -i -p
share2mnt=//"$srvname".local/"$share"
sharemount() {
- mounted=$(mount -v | grep "$share2mnt") || ([ ! -d /mnt/"$share" ] && mkdir /mnt/"$share")
+ mounted=$(mount -v | grep "$share2mnt") || ([ ! -d /mnt/"$share" ] && sudo mkdir /mnt/"$share")
[ -z "$mounted" ] && sudo mount -t cifs "$share2mnt" -o user=nobody,password="" /mnt/"$share" && notify-send "Netshare $share mounted" && exit 0
notify-send "Netshare $share already mounted"; exit 1
}
diff --git a/.zprofile b/.zprofile
index 53161ed..2d2f367 100644
--- a/.zprofile
+++ b/.zprofile
@@ -6,7 +6,7 @@
# to clean up.
# Adds `~/.local/bin` to $PATH
-export PATH="$PATH:$(du "$HOME/.local/bin/" | cut -f2 | paste -sd ':')"
+export PATH="$PATH:$(du "$HOME/.local/bin" | cut -f2 | paste -sd ':')"
# Default programs:
export EDITOR="nvim"